## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDestroyFunctor Struct Template Reference

`#include <STLHelper.hpp>`

List of all members.

## Public Methods

- void operator() (Type &theArg)
- void operator() (Type *theArg)
- void operator() (const Type *theArg)
- void operator() (Type *theArg, MemoryManagerType &theMemoryManager)
- void operator() (const Type *theArg, MemoryManagerType &theMemoryManager)

### template<class Type> struct XalanDestroyFunctor

## Member Function Documentation

template<class Type>
void XalanDestroyFunctor<Type>::operator() ( | const Type * theArg,
| MemoryManagerType & theMemoryManager )

template<class Type>
void XalanDestroyFunctor<Type>::operator() ( | Type * theArg,
| MemoryManagerType & theMemoryManager )

template<class Type>
void XalanDestroyFunctor<Type>::operator() ( | const Type * theArg )

template<class Type>
void XalanDestroyFunctor<Type>::operator() ( | Type * theArg )

template<class Type>
void XalanDestroyFunctor<Type>::operator() ( | Type & theArg )

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.